For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Quotations

List non-archived quotations.

Use this to synchronize a sales pipeline. The since and until filters refer to expected close dates, not creation timestamps.

Behaviour

Optionally filter by repeated status or ownerId, by companyId, or by since/until expected-close dates.

Results are cursor-paginated.

Requires the quotations:read scope.

get
Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Query parameters
limitinteger · min: 1 · max: 5000OptionalDefault: 50
cursorstring · min: 1Optional
ownerIdstring[]Optional
companyIdstringOptionalPattern: ^COMP-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
sincestring · min: 1Optional
untilstring · min: 1Optional
Responses
200

Successful response.

application/json
get/v1/quotations
GET /v1/quotations HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "quotationId": "QUOT-123e4567-e89b-12d3-a456-426614174000",
      "quotationName": "text",
      "quotationNumber": "text",
      "status": "OPEN",
      "stageId": "text",
      "stageName": "text",
      "ownerId": "text",
      "currency": "text",
      "price": 1,
      "currentVersionId": "text",
      "numOfVersions": 1,
      "validUntil": "text",
      "expectedClose": "text",
      "paymentTerms": "text",
      "language": "text",
      "lostReasonId": "text",
      "lostReasonName": "text",
      "lostComment": {
        "html": "text",
        "text": "text"
      },
      "isPrivate": true,
      "company": {
        "companyId": "text",
        "companyName": "text",
        "country": "text",
        "city": "text",
        "street": "text",
        "postcode": "text",
        "email": "text",
        "workNumber": "text"
      },
      "createdAt": "text",
      "modifiedAt": "text"
    }
  ],
  "page": {
    "limit": 1,
    "nextCursor": "text"
  }
}

Last updated

Was this helpful?